ChangeSet 1.1595.8.12, 2003/07/30 10:57:24-07:00, greg@kroah.com

[PATCH] USB: AX8817x (USB ethernet) problem in 2.6.0-test1

From mru@users.sourceforge.net

My Netgear FA120 USB2 ethernet adaptor isn't working properly with
Linux 2.6.0-test1.  First off, I had to modify it slightly (patch
below) to make it work at all with USB2.  Now I can send data at the
full expected speed (~11 MB/s).


 drivers/usb/net/ax8817x.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/net/ax8817x.c b/drivers/usb/net/ax8817x.c
--- a/drivers/usb/net/ax8817x.c	Fri Aug  1 10:56:01 2003
+++ b/drivers/usb/net/ax8817x.c	Fri Aug  1 10:56:01 2003
@@ -1239,7 +1239,7 @@
 
 	usb_fill_int_urb(ax_info->int_urb, usb, usb_rcvintpipe(usb, 1),
 			 ax_info->int_buf, 8, ax_int_callback, ax_info,
-			 100);
+			 usb->speed == USB_SPEED_HIGH? 8: 100);
 
 	ret = usb_submit_urb(ax_info->int_urb, GFP_ATOMIC);
 	if (ret < 0) {
